/* ----------------------------- */
/*        CONFIGURACIÓN          */
/* ----------------------------- */

@import url('https://fonts.googleapis.com/css2?family=Delius+Swash+Caps&display=swap');

:root {
    --negro: #1A1A1A;
    --borders: #30363D;
    --blanco_1: #fff;

    --AMARILLO: #ffeaab;
    --NARANJA: #ffe0c0;
    --ROJO: #f38e8e;
    --AZUL: #8bb8df;
    --VERDE: #93c6d1;
    --TEXT: #1F3A5F;
    --TEXT_HOVER: #2A6FB2;
}

/* ----------------------------- */
/*        ESTILO GLOBAL          */
/* ----------------------------- */

body {
    background-color: var(--blanco_1);
    color: var(--TEXT);
    padding: 5px;
    margin: 0;
    font-family: 'Delius Swash Caps', cursive;
    overflow-x: hidden;
    min-height: 100vh; 
    display: flex;
    flex-direction: column;
}

.main_container {
    width: 100%;
    max-width: 1300px;
    flex: 1;
    margin: 0 auto;
}

/* ----------------------------- */
/*            NAVBAR             */
/* ----------------------------- */

.navbar {
    margin-top: 10px;
    display: flex;
    width: 100%;
    height: auto;
    background-color: var(--blanco_1);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo_ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.logo_img {
    height: 175px;
    transition: transform 0.3s ease;
}

.logo_img:hover {
    transform: scale(1.1) rotate(-1deg);
}

/* ----------------------------- */
/*        MENU DESKTOP           */
/* ----------------------------- */

.menu {
    display: flex;
    gap: 25px;
    list-style: none;
    margin: -10px 0 0 0;
    padding: 0;
}

.menu li a {
    text-decoration: none;
    color: var(--negro);
    font-size: 18px;
    padding: 8px 12px;
    border-radius: 5px;
    border: 1px solid var(--borders);
    transition: all 0.3s ease;
}

.menu li a:hover {
    background-color: #e7e7e7;
}

.menu li a.active {
    background-color: var(--VERDE);
}

.menu li {
    transition: 0.3s ease;
}

.menu li:hover {
    transform: translateY(-2px);
}

/* ----------------------------- */
/*        MENU MOBILE            */
/* ----------------------------- */

.menu_toggle {
    position: absolute;
    top: 20px;
    right: 20px;
    display: none;
    cursor: pointer;
}

.menu_toggle img {
    width: 28px;
}

.close_menu {
    position: absolute;
    top: 20px;
    right: 20px;
    display: none;
}

@media (max-width: 1050px) {

    .menu_toggle {
        display: block;
    }

    .menu {
        position: fixed;
        top: 0;
        right: -100%;
        height: 100vh;
        width: 70%;
        background-color: var(--blanco_1);
        flex-direction: column;
        padding-top: 80px;
        padding-left: 25px;
        gap: 25px;
        transition: 0.3s ease;
        box-shadow: -5px 0 15px rgba(0,0,0,0.2);
        z-index: 9999;
    }

    .menu.active {
        right: 0;
    }

    .close_menu {
        display: block;
        position: absolute;
        top: 20px;
        right: 20px;
        cursor: pointer;
    }

    .close_menu img {
        width: 30px;
    }

    .menu li a {
        font-size: 20px;
    }

    .menu li:hover {
        transform: none;
    }
}

/* ----------------------------- */
/*            FOOTER             */
/* ----------------------------- */

.footer {
    margin-top: 40px;
    padding: 20px;
    text-align: center;
}

.footer p {
    margin: 0;
    font-size: 14px;
}

.footer_links {
    margin-top: 10px;
}

.footer_links a {
    text-decoration: none;
    color: var(--TEXT);
    margin: 0 10px;
    font-size: 14px;
    transition: 0.3s;
}

.footer_links a:hover {
    color: var(--TEXT_HOVER);
}

.footer_social {
    margin-top: 15px;
    display: flex;
    justify-content: center;
    gap: 22px;
}

.footer_social a {
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
}

.footer_social img {
    transition: transform 0.3s ease;
}

.footer_social a:hover img {
    transform: scale(1.2);
}

/* ----------------------------- */
/*      CONTACTO FORMULARIO      */
/* ----------------------------- */

.contact_form {
    position: relative;
    overflow: hidden;
    max-width: 700px;
    margin: 40px auto;
    display: flex;
    flex-direction: column;
    gap: 20px;
    box-shadow: 0 12px 35px rgba(0, 0, 0, 0.12);
    padding: 25px;
    border-radius: 15px;
}

.header_title {
    border-bottom: 1px solid var(--borders);
    margin: 0 0 40px 0;
    padding: 0 0 10px 0;
    z-index: 10;
}

.header_title h1 {
    text-align: center;
    color: #52a2b4;
}

.header_title p {
    z-index: 10;
    text-align: justify;
}

.row {
    z-index: 10;
    display: flex;
    gap: 20px;
}

.field {
    z-index: 10;
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

input, textarea {
    z-index: 10;
    padding: 10px;
    border: 1px solid var(--borders);
    border-radius: 6px;
    font-family: inherit;
}

textarea {
    resize: none;
}

label {
    z-index: 10;
    font-size: 14px;
}

button {
    z-index: 10;
    background: var(--VERDE);
    border: none;
    padding: 12px;
    cursor: pointer;
    border-radius: 6px;
    transition: 0.3s;
    font-size: 16px;
}

button:hover {
    background: var(--AZUL);
    color: white;
}

.banner_onda_1 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 50%;
    z-index: 0;
    pointer-events: none;
}

.banner_onda_1 img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


@media (max-width: 700px) {
    .row {
        flex-direction: column;
    }

    .contact_form {
        margin: 40px 10px 40px 10px;
    }
}